Bug 1679972 (CVE-2019-8980) - CVE-2019-8980 kernel: memory leak in the kernel_read_file function in fs/exec.c allows to cause a denial of service
Summary: CVE-2019-8980 kernel: memory leak in the kernel_read_file function in fs/exec...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-8980
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1679974 1683730 1683731 1683732
Blocks: 1679993
TreeView+ depends on / blocked
 
Reported: 2019-02-22 11:49 UTC by msiddiqu
Modified: 2021-02-16 22:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A kernel memory leak was found in the kernel_read_file() function in the fs/exec.c file in the Linux kernel. An attacker could use this flaw to cause a memory leak and thus a denial of service (DoS).
Clone Of:
Environment:
Last Closed: 2020-04-28 16:32:29 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2052 0 None None None 2020-05-11 12:53:43 UTC
Red Hat Product Errata RHBA-2020:2626 0 None None None 2020-06-19 01:49:40 UTC
Red Hat Product Errata RHSA-2020:1567 0 None None None 2020-04-28 15:24:55 UTC
Red Hat Product Errata RHSA-2020:1769 0 None None None 2020-04-28 15:51:14 UTC

Description msiddiqu 2019-02-22 11:49:20 UTC
A kernel memory leak was found in the kernel_read_file() function in the fs/exec.c file in the Linux kernel which allows attackers to cause a memory leak and thus a denial of service (DoS).

References:

https://lore.kernel.org/lkml/20190219021038.11340-1-yuehaibing@huawei.com/T/#u

https://www.mail-archive.com/linux-kernel@vger.kernel.org/msg1935698.html

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=f612acfae86af7ecad754ae6a46019be9da05b8e

Comment 1 msiddiqu 2019-02-22 11:49:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1679974]

Comment 7 errata-xmlrpc 2020-04-28 15:24:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1567 https://access.redhat.com/errata/RHSA-2020:1567

Comment 8 errata-xmlrpc 2020-04-28 15:51:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1769 https://access.redhat.com/errata/RHSA-2020:1769

Comment 9 Product Security DevOps Team 2020-04-28 16:32:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-8980


Note You need to log in before you can comment on or make changes to this bug.